Subject: Re: bug#41242: Port feature/native-comp to Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 May 2020 16:00:40 +0300

> From: Nicolas Bértolo <[email-masked]>
> Date: Fri, 15 May 2020 09:33:32 -0300
> Cc: Andrea Corallo <[email-masked]>, [email-masked]
> 
> > Does that reflect renaming _after_ the library was loaded?
> 
> I get that idea from the documentation. I haven't actually tested it myself.

It should be easy to write a program to test this.

> The ProcessExplorer utility can show the name of the loaded DLLs
> of a process. If I rename one the changed name will show up in ProcessExplorer.
> I wonder how they do it.

They use methods that are generally unacceptable in general-purpose
applications, including injecting code into other processes, using
undocumented features and APIs, etc.